%define lib_api         0
%define lib_major       0
%define lib_name        %mklibname %{name} %{lib_api} %{lib_major}
%define lib_name_devel  %mklibname %{name} -d

Name:           sord
Version:        0.16.14
Release:        %mkrel 3
Summary:        Lightweight C library for storing RDF data in memory
License:        ISC License (ISC)
Group:          System/Libraries
URL:            https://drobilla.net/software/sord.html
Source:         https://download.drobilla.net/%{name}-%{version}.tar.xz
Patch1:         0001-Port-sord_validate-to-pcre2.patch
Patch2:         0002-Ignore-warnings-in-PCRE2-headers.patch

BuildRequires:  meson
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(serd-0) >= 0.30.10
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  doxygen
BuildRequires:  python3-sphinx
BuildRequires:  cmake

%description
Lightweight C library for storing RDF data in memory.


%package -n %{lib_name}
Summary:        Lightweight RDF syntax library
Group:          System/Libraries
Obsoletes:      %{_lib}sord0 < 0.16.14-1

%description -n %{lib_name}
Lightweight C library for storing RDF data in memory.


%package -n %{lib_name_devel}
Summary:        Headers for the sord RDF storage library
Group:          System/Libraries
Requires:       %{lib_name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against sord.


%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install


%files
%doc COPYING NEWS README.md
%{_docdir}/%{name}-%{lib_api}/
%{_bindir}/sordi
%{_bindir}/sord_validate
%{_mandir}/man1/*

%files -n %{lib_name}
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}{,.*}

%files -n %{lib_name_devel}
%{_libdir}/lib%{name}-%{lib_api}.so
%dir %{_includedir}/%{name}-%{lib_api}
%dir %{_includedir}/%{name}-%{lib_api}/%{name}
%{_includedir}/%{name}-%{lib_api}/%{name}/*.h
%{_includedir}/%{name}-%{lib_api}/%{name}/*.hpp
%{_libdir}/pkgconfig/%{name}-%{lib_api}.pc


%changelog
* Fri Apr 14 2023 daviddavid <daviddavid> 0.16.14-3.mga9
+ Revision: 1952923
- switch to pcre2 (mga#31791)
- own include dir

* Sun Dec 11 2022 wally <wally> 0.16.14-2.mga9
+ Revision: 1920582
- enable mistakenly disabled debug pkgs

* Sun Dec 11 2022 philippedidier <philippedidier> 0.16.14-1.mga9
+ Revision: 1920556
- add BuildRequires python3-sphinx doxygen cmake
- new version 0.16.14 - now building with meson instead of waf

* Thu Nov 24 2022 mrambo3501 <mrambo3501> 0.16.8-3.mga9
+ Revision: 1910878
- BR pkgconfig(libpcre)

* Sat Mar 19 2022 umeabot <umeabot> 0.16.8-2.mga9
+ Revision: 1800045
- Mageia 9 Mass Rebuild

* Wed Mar 03 2021 daviddavid <daviddavid> 0.16.8-1.mga9
+ Revision: 1697161
- new version: 0.16.8

* Wed Oct 14 2020 luigiwalser <luigiwalser> 0.16.6-1.mga8
+ Revision: 1636063
- 0.16.6

* Wed Jul 01 2020 daviddavid <daviddavid> 0.16.4-2.mga8
+ Revision: 1600989
- compile with system waf (from archlinux)
- do not mark manpage as doc

* Mon May 11 2020 tv <tv> 0.16.4-1.mga8
+ Revision: 1582910
- 0.16.4

* Fri Feb 14 2020 umeabot <umeabot> 0.16.2-2.mga8
+ Revision: 1521725
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sat Dec 29 2018 luigiwalser <luigiwalser> 0.16.2-1.mga7
+ Revision: 1346482
- 0.16.2

* Sun Sep 23 2018 umeabot <umeabot> 0.16.0-2.mga7
+ Revision: 1301110
- Mageia 7 Mass Rebuild

* Sun Jan 01 2017 luigiwalser <luigiwalser> 0.16.0-1.mga6
+ Revision: 1079356
- 0.16.0

* Wed Feb 17 2016 umeabot <umeabot> 0.14.0-2.mga6
+ Revision: 962879
- Mageia 6 Mass Rebuild

* Sat Oct 24 2015 barjac <barjac> 0.14.0-1.mga6
+ Revision: 894941
- new version 0.14.0

* Wed Oct 15 2014 umeabot <umeabot> 0.12.2-3.mga5
+ Revision: 740096
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.12.2-2.mga5
+ Revision: 689249
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 barjac <barjac> 0.12.2-1.mga5
+ Revision: 669659
- new version 0.12.2

* Sat Oct 19 2013 umeabot <umeabot> 0.12.0-5.mga4
+ Revision: 529878
- Mageia 4 Mass Rebuild

* Sat Jul 13 2013 wally <wally> 0.12.0-4.mga4
+ Revision: 453919
- really fix old lib obsoletes

* Sat Jul 13 2013 wally <wally> 0.12.0-3.mga4
+ Revision: 453915
- fix old lib obsoletes

* Sat Jul 13 2013 wally <wally> 0.12.0-2.mga4
+ Revision: 453818
- fix lib pkg name
- fix our build time flags usage
- drop unneeded requires from devel pkg

* Sat Jul 13 2013 philippedidier <philippedidier> 0.12.0-1.mga4
+ Revision: 453630
- new version 0.12.0

* Mon Jan 14 2013 umeabot <umeabot> 0.10.4-3.mga3
+ Revision: 382349
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 0.10.4-2.mga3
+ Revision: 323842
- rebuild for new pcre
- use flags

* Fri Nov 23 2012 barjac <barjac> 0.10.4-1.mga3
+ Revision: 321357
- added two new files
- new version
- minor spec clean

* Wed Sep 07 2011 tv <tv> 0.4.2-1.mga2
+ Revision: 140006
- imported package sord


* Sat Jun 25 2011 Frank Kober <emuse@mandriva.org> 0.4.2-1mdv2011.0
+ Revision: 687128
- imported package sord

